Memcached::addServers
Memcached::appendByKey
Memcached
PHP Manual

# Memcached::append

(PECL memcached >= 0.1.0)

Memcached::append — Append data to an existing item

### 설명

public bool Memcached::append ( string `$key` , string `$value` )

Memcached::append() appends the given `value` string to the value of an existing item. The reason that `value` is forced to be a string is that appending mixed types is not well-defined.

> Note: If the `Memcached::OPT_COMPRESSION` is enabled, the operation will fail and a warning will be issued, because appending compressed data to a value that is potentially already compressed is not possible.

### 인수

`key`

  값을 저장할 키.

`value`

  The string to append.

### 반환값

성공할 경우 `TRUE`를, 실패할 경우 `FALSE`를 반환합니다. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key does not exist.

### 예제

Example #1 Memcached::append() example

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->setOption(Memcached::OPT_COMPRESSION, false);
$m->set('foo', 'abc');
$m->append('foo', 'def');
var_dump($m->get('foo'));
?>`

위 예제의 출력:

    string(6) "abcdef"

### 참고

- Memcached::appendByKey - Append data to an existing item on a specific server
- Memcached::prepend - Prepend data to an existing item

Memcached::addServers
Memcached::appendByKey
Memcached
PHP Manual